Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libdaemon
#Epoch:		0
Version:	0.14
Release:	1
License:	GNU/LGPLv2.1
URL:		http://0pointer.de/lennart/projects/libdaemon/
Group:		Systen/Libraries
Summary:	UNIX daemon library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: pkg-config

%description
libdaemon is a lightweight C library that eases the writing of UNIX daemons. It consists of the following parts:

    * A wrapper around fork() which does the correct daemonization procedure of a process
    * A wrapper around syslog() for simpler and compatible log output to Syslog or STDERR
    * An API for writing PID files
    * An API for serializing UNIX signals into a pipe for usage with select() or poll()
    * An API for running subprocesses with STDOUT and STDERR redirected to syslog.

APIs like these are used in most daemon software available. It is not that simple to get it done right and code duplication is not a goal.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libdaemon.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libdaemon
%{_libdir}/libdaemon.a
%{_libdir}/libdaemon.la
%{_libdir}/libdaemon.so
%{_pkgconfig}/libdaemon.pc
%{_docdir}/libdaemon/README.html
%{_docdir}/libdaemon/style.css

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.14-1
- initial CCux package release
